package com.dev.swms.server.model.count;

import com.dev.swms.server.model.base.Item;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

public class CountDetailItem extends CountDetail {
	/** 盘点商品 */
	private Item item;

	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	
	public boolean equals(final Object other) {
		if (!(other instanceof CountDetailItem))
			return false;
		CountDetailItem castOther = (CountDetailItem) other;
		return new EqualsBuilder().appendSuper(super.equals(other)).append(
				item, castOther.getItem()).isEquals();
	}
	public int hashCode() {
		return new HashCodeBuilder().appendSuper(super.hashCode()).append(item)
				.toHashCode();
	}
}
